Open Infrastructure - Task #7185

Setup network monitoring system on new off-site VPS
09/30/2019 11:12 AM - Nico Schottelius

Status: Rejected Start date: 09/30/2019
Priority: Normal Due date:

Assignee: Nico Schottelius % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

Objective

e We want to have a live update similar to https://status.ungleich.ch/ running on the VPS.
e We want to do this via some open source monitoring.

¢ We want to check ping, http and maybe https reachability

¢ The information should be public

Hints

\] if opbannm o o a

o Gheekeutthelistofsystems-en-https://www.pcwdld.com/linux-network-monitor-software-and-tools#0OpenNMS

Anotherinterestinan avatla¥a

e Easiest way, reproduce what we already have:
o setup prometheus

o setup grafana

o setup blackbox-exporter

o create a public dashboard

-> checkout the tools, discuss with me in the chat which one to use

Related issues:
Related to Open Infrastructure - Task #7184: Create a mailing list for mainte... Rejected 09/30/2019

10/04/2019

History

#1 - 09/30/2019 11:12 AM - Nico Schottelius

- Related to Task #7184: Create a mailing list for maintenance notifications added

#2 - 09/30/2019 11:54 AM - Nico Schottelius

- Description updated

#3 - 10/04/2019 06:49 AM - Ahmed Bilal

- Status changed from New to Seen

#4 - 10/06/2019 12:47 PM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Nico Schottelius

| have setup (prometheus + grafana + blackbox exporter) on debian.sandbox.ahmedbilal.ungleich.cloud

You can see the Grafana at http://debian.sandbox.ahmedbilal.ungleich.cloud:3000

e username: admin
e password: admin

You can see the Prometheus at http:/debian.sandbox.ahmedbilal.ungleich.cloud:9090

What to do next except deploying it to VPS. | assign the DNS name post.ungleich.ch to VPS.

#5 - 10/06/2019 02:19 PM - Nico Schottelius
https://status.ungleich.ch/
https://www.pcwdld.com/linux-network-monitor-software-and-tools#OpenNMS
http://debian.sandbox.ahmedbilal.ungleich.cloud:3000
http://debian.sandbox.ahmedbilal.ungleich.cloud:9090

you can also add another name to the VPS like
monitoring.place11.ungleich.ch ;-)

redmine@ungleich.ch writes:

#6 - 10/11/2019 05:24 PM - Ahmed Bilal

- Assignee changed from Nico Schottelius to Ahmed Bilal

#7 - 10/11/2019 07:09 PM - Nico Schottelius

Seems not to be solved:

monitoring.place1.ungleich.ch’s server IP address could not be found.

redmine@ungleich.ch writes:

#8 - 10/11/2019 07:09 PM - Nico Schottelius

Ah, sorry, thought it was assigned to me!

#9 - 10/11/2019 07:16 PM - Ahmed Bilal

/etc/prometheus/blackbox.yml

modules:
http_2xx:
prober: http
http:
http_post_2xx:
prober: http
http:
method: POST
tcp_connect:
prober: tcp
pop3s_banner:
prober: tcp
tcp:
query_response:
- expect: "~+OK"
tls: true
tls_config:
insecure_skip_verify: false
ssh_banner:
prober: tcp
tcp:
query_response:
- expect: ""~SSH-2.0-"
irc_banner:
prober: tcp
tcp:
query_response:
— send: "NICK prober"
— send: "USER prober prober prober :prober"
- expect: "PING : ([~ ]+)"
send: "PONG ${1}"
- expect: "~: [~ 1+ 001"
icmp:
prober: icmp

/etc/prometheus/prometheus

global:
scrape_interval: 10s # can be overridden by setting scrape_interval in a Jjob
evaluation_interval: 30s # for rules

# Attach these labels to any time series or alerts when communicating with
# external systems (federation, remote storage, Alertmanager).
external_labels:

# monitor: 'place5-prod'

scrape_configs:

- job_name: 'routers'
metrics_path: /probe
params:

module: [icmp]
static_configs:

— targets:
- routerl
- router2
— routerl
- router2

- router3.

— router4

.place6.
.placeé6.
.placeb.
.place5.
placeb.
.placeb.

relabel_configs:

- source_labels:
target_label:
— source_labels:
target_label:
— target_label:
replacement:

ungleich.
ungleich.
ungleich.
ungleich.
ungleich.
ungleich.

[_ _address
__param_target

[__param_target]
instance
__address___
post.ungleich.ch:9115

- job_name: 'core-services'

metrics_path:
params:

/probe

module: [http_2xx]
static_configs:

- targets:

- https://ungleich.ch

- https://monitoring.place5.ungleich.ch
- https://monitoring.place6.ungleich.ch

relabel_configs:

— source_labels:
target_label:
— source_labels:
target_label:
- target_label:
replacement:

rule_files:

_ _address___

- /etc/prometheus/*.rules

alerting:
alertmanagers:

— consul_sd_configs:
- server: '127.0.0.1:8500'"'

services:

- alertmanager

#10 - 10/11/2019 07:18 PM - Ahmed Bilal

How to change admin password? https://grafana.com/docs/administration/cli/

ch
ch
ch
ch
ch
ch

1

[_ _address_ ]
__param_target
[__param_target]
instance

post.ungleich:9115

#11 - 10/11/2019 07:22 PM - Ahmed Bilal
- File Ungleich-1570814496841.json added

#12 - 10/11/2019 07:55 PM - Ahmed Bilal

- File deleted (Ungleich-1570814496841.json)

#13 - 10/11/2019 07:57 PM - Ahmed Bilal
- File Ungleich-1570816597910.json added

#14 - 10/18/2019 01:13 PM - Ahmed Bilal

Monitoring system is accessible at https:/monitoring.place11.ungleich.ch/

#15 - 10/18/2019 02:59 PM - Ahmed Bilal

- Assignee changed from Ahmed Bilal to Nico Schottelius

#16 - 10/18/2019 04:14 PM - Nico Schottelius

- Status changed from Seen to New

- Assignee changed from Nico Schottelius to Il nu
Well. done. Balazs, can you confirm/ensure that you can

e reproduce the setup
e understand how monitoring is done there
e can make changes to prometheus and grafana

Additionally, please create a new ticket for creating an email account on the external system and configure alertmanager as follows:

Send alerts to

e sre@ungleich.ch (our standard list; also add ahmed here, if he isn'tin it)

e sre@placel1.ungleich.ch -> new imap mailbox that we all can add to our phone

#17 - 12/09/2019 11:46 AM - Il nu

- Status changed from New to Seen

#18 - 12/09/2019 03:02 PM - Il nu

ABK is added to sre@
imap mailbox creation is pending

#19 - 06/11/2020 09:36 AM - Nico Schottelius

- Assignee changed from Il nu to Nico Schottelius

#20 - 01/03/2024 08:51 AM - Nico Schottelius

- Status changed from Seen to Rejected

Files
Ungleich-1570816597910.json 20.9 KB 10/11/2019 Ahmed Bilal
